set(PROJECT_NAME "HazelApp")

# SandBox
project(${PROJECT_NAME})
file(GLOB_RECURSE SOURCES
        src/SandboxApp.cpp
        src/Sandbox2D/**.cpp)

add_executable(${PROJECT_NAME} ${SOURCES})

target_link_libraries(${PROJECT_NAME} PRIVATE Hazel)



# Hazel-Editor
set(PROJECT_NAME "${PROJECT_NAME}-Editor")
project(${PROJECT_NAME})
file(GLOB_RECURSE SOURCES
        src/SandboxApp.cpp
        src/Editor/**.cpp
        src/logo/logo.rc
)

add_executable(${PROJECT_NAME} ${SOURCES})

target_link_libraries(${PROJECT_NAME} PRIVATE Hazel)
